Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.SOAPRequestProperties Class Reference

## Public Member Functions
| SOAPRequestProperties ()
| Constructor.
| SOAPRequestProperties (String request_url, String request_content, String soap_action, String soap_namespace, String soap_version, String content_type, boolean is_encode, boolean is_wiredump, String request_header, SOAPAuthenticateInfo authenticate)
| Constructor, with parameters. More...
| SOAPRequestProperties (SOAPRequestProperties request_properties)
| Constructor, with another SOAP request properties object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
SOAPAuthenticateInfo | getAuthenticate ()
| Get an object that specifies how to handle HTTP authentication or credentials to use for Web Service Security. More...
String | getContent_type ()
| Get allows the HTTP content-type header to be specified. More...
boolean | getIs_encode ()
| Get encoded the request using the SOAP Encoding described in the SOAP Specification. More...
boolean | getIs_wiredump ()
| Get whether to output debug information for SOAP requests and responses, defaults to true. More...
String | getRequest_content ()
| Get an object that specifies the remote procedure name and parameters or the XML message to send. More...
String | getRequest_header ()
| Get an object that specifies a SOAP header to be included with the request. More...
String | getRequest_url ()
| Get the URL for a SOAP HTTP endpoint. More...
String | getSoap_action ()
| Get the SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests. More...
String | getSoap_namespace ()
| Get a namespace for the message schema when the request does not use the SOAP Encoding. More...
String | getSoap_version ()
| Get the version of the SOAP protocol to use when generating the XML Message. More...
void | set (String request_url, String request_content, String soap_action, String soap_namespace, String soap_version, String content_type, boolean is_encode, boolean is_wiredump, String request_header, SOAPAuthenticateInfo authenticate)
| Set values. More...
void | setAuthenticate (SOAPAuthenticateInfo value)
| Set an object that specifies how to handle HTTP authentication or credentials to use for Web Service Security. More...
void | setContent_type (String value)
| Set allows the HTTP content-type header to be specified. More...
void | setIs_encode (boolean value)
| Set encoded the request using the SOAP Encoding described in the SOAP Specification. More...
void | setIs_wiredump (boolean value)
| Set whether to output debug information for SOAP requests and responses, defaults to true. More...
void | setRequest_content (String value)
| Set an object that specifies the remote procedure name and parameters or the XML message to send. More...
void | setRequest_header (String value)
| Set an object that specifies a SOAP header to be included with the request. More...
void | setRequest_url (String value)
| Set the URL for a SOAP HTTP endpoint. More...
void | setSoap_action (String value)
| Set the SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests. More...
void | setSoap_namespace (String value)
| Set a namespace for the message schema when the request does not use the SOAP Encoding. More...
void | setSoap_version (String value)
| Set the version of the SOAP protocol to use when generating the XML Message. More...

## Detailed Description

This class represents SOAP request properties.

## Constructor & Destructor Documentation

## ◆ SOAPRequestProperties() [1/2]

com.foxit.sdk.SOAPRequestProperties.SOAPRequestProperties | ( | String | request_url,
|  | String | request_content,
|  | String | soap_action,
|  | String | soap_namespace,
|  | String | soap_version,
|  | String | content_type,
|  | boolean | is_encode,
|  | boolean | is_wiredump,
|  | String | request_header,
|  | SOAPAuthenticateInfo | authenticate
| ) |  |

Constructor, with parameters.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## ◆ SOAPRequestProperties() [2/2]

com.foxit.sdk.SOAPRequestProperties.SOAPRequestProperties | ( | SOAPRequestProperties | request_properties | ) |

Constructor, with another SOAP request properties object.

Parameters

  [in] | request_properties | Another SOAP request properties object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.SOAPRequestProperties.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAuthenticate()

com.foxit.sdk.SOAPRequestProperties.getAuthenticate | ( |  | ) |

Get an object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## ◆ getContent_type()

com.foxit.sdk.SOAPRequestProperties.getContent_type | ( |  | ) |

Get allows the HTTP content-type header to be specified.

Returns
  Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.

## ◆ getIs_encode()

com.foxit.sdk.SOAPRequestProperties.getIs_encode | ( |  | ) |

Get encoded the request using the SOAP Encoding described in the SOAP Specification.

Returns
  Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.

## ◆ getIs_wiredump()

com.foxit.sdk.SOAPRequestProperties.getIs_wiredump | ( |  | ) |

Get whether to output debug information for SOAP requests and responses, defaults to true.

Returns
  Whether to output debug information for SOAP requests and responses, defaults to true.

## ◆ getRequest_content()

com.foxit.sdk.SOAPRequestProperties.getRequest_content | ( |  | ) |

Get an object that specifies the remote procedure name and parameters or the XML message to send.

Returns
  An object that specifies the remote procedure name and parameters or the XML message to send.

## ◆ getRequest_header()

com.foxit.sdk.SOAPRequestProperties.getRequest_header | ( |  | ) |

Get an object that specifies a SOAP header to be included with the request.

Returns
  An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.

## ◆ getRequest_url()

com.foxit.sdk.SOAPRequestProperties.getRequest_url | ( |  | ) |

Get the URL for a SOAP HTTP endpoint.

Returns
  The URL for a SOAP HTTP endpoint.

## ◆ getSoap_action()

com.foxit.sdk.SOAPRequestProperties.getSoap_action | ( |  | ) |

Get the SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.

Returns
  The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.

## ◆ getSoap_namespace()

com.foxit.sdk.SOAPRequestProperties.getSoap_namespace | ( |  | ) |

Get a namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.

Returns
  A namespace for the message schema when the request does not use the SOAP Encoding.

## ◆ getSoap_version()

com.foxit.sdk.SOAPRequestProperties.getSoap_version | ( |  | ) |

Get the version of the SOAP protocol to use when generating the XML Message.

Returns
  The version of the SOAP protocol to use when generating the XML Message.

## ◆ set()

void com.foxit.sdk.SOAPRequestProperties.set | ( | String | request_url,
|  | String | request_content,
|  | String | soap_action,
|  | String | soap_namespace,
|  | String | soap_version,
|  | String | content_type,
|  | boolean | is_encode,
|  | boolean | is_wiredump,
|  | String | request_header,
|  | SOAPAuthenticateInfo | authenticate
| ) |  |

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## ◆ setAuthenticate()

com.foxit.sdk.SOAPRequestProperties.setAuthenticate | ( | SOAPAuthenticateInfo | value | ) |

Set an object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Parameters

  [in] | value | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## ◆ setContent_type()

com.foxit.sdk.SOAPRequestProperties.setContent_type | ( | String | value | ) |

Set allows the HTTP content-type header to be specified.

Parameters

  [in] | value | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.

Returns
  None.

## ◆ setIs_encode()

com.foxit.sdk.SOAPRequestProperties.setIs_encode | ( | boolean | value | ) |

Set encoded the request using the SOAP Encoding described in the SOAP Specification.

Parameters

  [in] | value | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.

Returns
  None.

## ◆ setIs_wiredump()

com.foxit.sdk.SOAPRequestProperties.setIs_wiredump | ( | boolean | value | ) |

Set whether to output debug information for SOAP requests and responses, defaults to true.

Parameters

  [in] | value | Whether to output debug information for SOAP requests and responses, defaults to true.

Returns
  None.

## ◆ setRequest_content()

com.foxit.sdk.SOAPRequestProperties.setRequest_content | ( | String | value | ) |

Set an object that specifies the remote procedure name and parameters or the XML message to send.

Parameters

  [in] | value | An object that specifies the remote procedure name and parameters or the XML message to send.

Returns
  None.

## ◆ setRequest_header()

com.foxit.sdk.SOAPRequestProperties.setRequest_header | ( | String | value | ) |

Set an object that specifies a SOAP header to be included with the request.

Parameters

  [in] | value | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.

Returns
  None.

## ◆ setRequest_url()

com.foxit.sdk.SOAPRequestProperties.setRequest_url | ( | String | value | ) |

Set the URL for a SOAP HTTP endpoint.

Parameters

  [in] | value | The URL for a SOAP HTTP endpoint.

Returns
  None.

## ◆ setSoap_action()

com.foxit.sdk.SOAPRequestProperties.setSoap_action | ( | String | value | ) |

Set the SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.

Parameters

  [in] | value | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.

Returns
  None.

## ◆ setSoap_namespace()

com.foxit.sdk.SOAPRequestProperties.setSoap_namespace | ( | String | value | ) |

Set a namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.

Parameters

  [in] | value | A namespace for the message schema when the request does not use the SOAP Encoding.

Returns
  None.

## ◆ setSoap_version()

com.foxit.sdk.SOAPRequestProperties.setSoap_version | ( | String | value | ) |

Set the version of the SOAP protocol to use when generating the XML Message.

Parameters

  [in] | value | The version of the SOAP protocol to use when generating the XML Message.

Returns
  None.